mscorlib 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.ComTypes.ITypeLib System.Runtime.InteropServices.Guid("00020411-0000-0000-C000-000000000046") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

For additional information about the ITypeLib2 interface, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Provides a managed definition of the ITypeLib2 interface.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  For additional information about ITypeLib2::GetAllCustData, see the MSDN Library.

  Gets all custom data items for the library.

  The return value obtained from the returned HRESULT is one of the following:

  Return Value

  Meaning

  S_OK

  Success.

  E_OUTOFMEMORY

  Out of memory.

  E_INVALIDARG

  One or more of the arguments is invalid.

  A pointer to CUSTDATA, which holds all custom data items.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.LCIDConversion(1)
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  For additional information about ITypeLib::GetTypeInfoCount, see the MSDN Library.

  Returns the number of type descriptions in the type library.

  The number of type descriptions in the type library.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  For additional information about ITypeLib::IsName, see the MSDN Library.

  Indicates whether a passed-in string contains the name of a type or member described in the library.

  true if was found in the type library; otherwise, false.

  The string to test. The hash value of .
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  For additional information about ITypeLib::ReleaseTLibAttr, see the MSDN Library.

  Releases the structure originally obtained from the method.

  The TLIBATTR structure to release.